extends RichTextLabel

@export var Text: String = "Lorem Ipsum";
@export var Speed: float = 10;

var counter = 0;

# Called when the node enters the scene tree for the first time.
func _ready():
	self.text = ""


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	counter += delta*Speed
	var text_size : int = min(int(counter), Text.length())
	self.text = Text.left(text_size)
	
